SearchEvent (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.client.event

## Class SearchEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<SearchEventHandler>
    - - org.gcube.portlets.user.speciesdiscovery.client.event.SearchEvent

-     public class SearchEvent
      extends com.google.gwt.event.shared.GwtEvent<SearchEventHandler>

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

      `com.google.gwt.event.shared.GwtEvent.Type<H>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Date` | `fromDate`
    `protected Number` | `lowerBoundLatitude`
    `protected Number` | `lowerBoundLongitude`
    `protected String` | `searchTerm`
    `protected Date` | `toDate`
    `protected SearchType` | `type`
    `static com.google.gwt.event.shared.GwtEvent.Type<SearchEventHandler>` | `TYPE`
    `protected Number` | `upperBoundLatitude`
    `protected Number` | `upperBoundLongitude`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SearchEvent(SearchType byQuery, String query)`
    `SearchEvent(SearchType type, String searchTerm, Number upperBoundLongitude, Number upperBoundLatitude, Number lowerBoundLongitude, Number lowerBoundLatitude, Date fromDate, Date toDate, List<DataSourceModel> listDataSources, String rank, SpeciesCapability resultType, List<DataSourceModel> listDataSourcesForSynonyms, List<DataSourceModel> listDataSourcesForUnfold)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(SearchEventHandler handler)`
    `com.google.gwt.event.shared.GwtEvent.Type<SearchEventHandler>` | `getAssociatedType()`
    `Date` | `getFromDate()`
    `String` | `getGroupByRank()`
    `List<DataSourceModel>` | `getListDataSourcesForSynonyms()`
    `List<DataSourceModel>` | `getListDataSourcesForUnfold()`
    `Number` | `getLowerBoundLatitude()`
    `Number` | `getLowerBoundLongitude()`
    `List<DataSourceModel>` | `getLstDataSources()`
    `Map<SearchType,List<String>>` | `getMapTermsSearched()`
    `String` | `getQuery()`
    `SpeciesCapability` | `getResultType()`
    `String` | `getSearchTerm()`
    `Date` | `getToDate()`
    `SearchType` | `getType()`
    `Number` | `getUpperBoundLatitude()`
    `Number` | `getUpperBoundLongitude()`
    `void` | `setActiveFilterOnResult(ResultFilter activeFilterOnResult)`
    `void` | `setFromDate(Date fromDate)`
    `void` | `setGroupByRank(String groupByRank)`
    `void` | `setListDataSourcesForSynonyms(List<DataSourceModel> listDataSourcesForSynonyms)`
    `void` | `setListDataSourcesForUnfold(List<DataSourceModel> listDataSourcesForUnfold)`
    `void` | `setLowerBoundLatitude(Number lowerBoundLatitude)`
    `void` | `setLowerBoundLongitude(Number lowerBoundLongitude)`
    `void` | `setLstDataSources(List<DataSourceModel> lstDataSources)`
    `void` | `setMapTermsSearched(Map<SearchType,List<String>> mapTermsSearched)`
    `void` | `setQuery(String query)`
    `void` | `setResultType(SpeciesCapability resultType)`
    `void` | `setSearchTerm(String searchTerm)`
    `void` | `setToDate(Date toDate)`
    `void` | `setType(SearchType type)`
    `void` | `setUpperBoundLatitude(Number upperBoundLatitude)`
    `void` | `setUpperBoundLongitude(Number upperBoundLongitude)`
    `String` | `toString()`

    - ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

      `assertLive, getSource, isLive, kill, revive`

    - ### Methods inherited from class com.google.web.bindery.event.shared.Event

      `setSource, toDebugString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static final com.google.gwt.event.shared.GwtEvent.Type<SearchEventHandler> TYPE

    - #### searchTerm

          protected String searchTerm

    - #### type

          protected SearchType type

    - #### upperBoundLongitude

          protected Number upperBoundLongitude

    - #### upperBoundLatitude

          protected Number upperBoundLatitude

    - #### lowerBoundLongitude

          protected Number lowerBoundLongitude

    - #### lowerBoundLatitude

          protected Number lowerBoundLatitude

    - #### fromDate

          protected Date fromDate

    - #### toDate

          protected Date toDate

  - ### Constructor Detail

    - #### SearchEvent

          public SearchEvent(SearchType type,
                     String searchTerm,
                     Number upperBoundLongitude,
                     Number upperBoundLatitude,
                     Number lowerBoundLongitude,
                     Number lowerBoundLatitude,
                     Date fromDate,
                     Date toDate,
                     List<DataSourceModel> listDataSources,
                     String rank,
                     SpeciesCapability resultType,
                     List<DataSourceModel> listDataSourcesForSynonyms,
                     List<DataSourceModel> listDataSourcesForUnfold)

      Parameters:
        `type` -
        `searchTerm` -
        `upperBoundLongitude` -
        `upperBoundLatitude` -
        `lowerBoundLongitude` -
        `lowerBoundLatitude` -
        `fromDate` -
        `toDate` -
        `listDataSources` -
        `rank` -
        `resultType` -
        `listDataSourcesForSynonyms` -

    - #### SearchEvent

          public SearchEvent(SearchType byQuery,
                     String query)

  - ### Method Detail

    - #### getAssociatedType

          public com.google.gwt.event.shared.GwtEvent.Type<SearchEventHandler> getAssociatedType()

      Overrides:
        `getAssociatedType` in class `com.google.gwt.event.shared.GwtEvent<SearchEventHandler>`

    - #### dispatch

          protected void dispatch(SearchEventHandler handler)

      Specified by:
        `dispatch` in class `com.google.gwt.event.shared.GwtEvent<SearchEventHandler>`

    - #### getType

          public SearchType getType()

      Returns:
        the type

    - #### getSearchTerm

          public String getSearchTerm()

      Returns:
        the searchTerm

    - #### getUpperBoundLongitude

          public Number getUpperBoundLongitude()

      Returns:
        the upperBoundLongitude

    - #### getUpperBoundLatitude

          public Number getUpperBoundLatitude()

      Returns:
        the upperBoundLatitude

    - #### getLowerBoundLongitude

          public Number getLowerBoundLongitude()

      Returns:
        the lowerBoundLongitude

    - #### getLowerBoundLatitude

          public Number getLowerBoundLatitude()

      Returns:
        the lowerBoundLatitude

    - #### getFromDate

          public Date getFromDate()

      Returns:
        the fromDate

    - #### getToDate

          public Date getToDate()

      Returns:
        the toDate

    - #### getLstDataSources

          public List<DataSourceModel> getLstDataSources()

    - #### getGroupByRank

          public String getGroupByRank()

    - #### getResultType

          public SpeciesCapability getResultType()

    - #### getQuery

          public String getQuery()

    - #### setSearchTerm

          public void setSearchTerm(String searchTerm)

    - #### setType

          public void setType(SearchType type)

    - #### setUpperBoundLongitude

          public void setUpperBoundLongitude(Number upperBoundLongitude)

    - #### setUpperBoundLatitude

          public void setUpperBoundLatitude(Number upperBoundLatitude)

    - #### setLowerBoundLongitude

          public void setLowerBoundLongitude(Number lowerBoundLongitude)

    - #### setLowerBoundLatitude

          public void setLowerBoundLatitude(Number lowerBoundLatitude)

    - #### setFromDate

          public void setFromDate(Date fromDate)

    - #### setToDate

          public void setToDate(Date toDate)

    - #### setLstDataSources

          public void setLstDataSources(List<DataSourceModel> lstDataSources)

    - #### setGroupByRank

          public void setGroupByRank(String groupByRank)

    - #### setResultType

          public void setResultType(SpeciesCapability resultType)

    - #### setQuery

          public void setQuery(String query)

    - #### setActiveFilterOnResult

          public void setActiveFilterOnResult(ResultFilter activeFilterOnResult)

    - #### getMapTermsSearched

          public Map<SearchType,List<String>> getMapTermsSearched()

    - #### setMapTermsSearched

          public void setMapTermsSearched(Map<SearchType,List<String>> mapTermsSearched)

    - #### getListDataSourcesForSynonyms

          public List<DataSourceModel> getListDataSourcesForSynonyms()

    - #### setListDataSourcesForSynonyms

          public void setListDataSourcesForSynonyms(List<DataSourceModel> listDataSourcesForSynonyms)

    - #### getListDataSourcesForUnfold

          public List<DataSourceModel> getListDataSourcesForUnfold()

    - #### setListDataSourcesForUnfold

          public void setListDataSourcesForUnfold(List<DataSourceModel> listDataSourcesForUnfold)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `com.google.web.bindery.event.shared.Event<SearchEventHandler>`

Copyright © 2013. All Rights Reserved.